Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.reliable
Class ReliableTransportChannel

    java.lang.Object
      org.codehaus.activemq.transport.AbstractTransportChannel
          org.codehaus.activemq.transport.composite.CompositeTransportChannel
              org.codehaus.activemq.transport.reliable.ReliableTransportChannel

All Implemented Interfaces:
  ExceptionListener, PacketListener, Service, TransportChannel

public class ReliableTransportChannel
extends CompositeTransportChannel
implements PacketListener, ExceptionListener

A Compsite implementation of a TransportChannel

Version:
  $Revision: 1.4 $

Field Summary

Fields inherited from class org.codehaus.activemq.transport.composite.CompositeTransportChannel
`channel, closed, currentURI, failureSleepTime, retryCount, started, uris, wireFormat`

Constructor Summary
`ReliableTransportChannel(WireFormat wireFormat, java.net.URI[] uris)` Constructor for ReliableTransportChannel

Method Summary
`void` | `asyncSend(Packet packet)` Asynchronously send a Packet
`protected void` | `configureChannel()`
`void` | `consume(Packet packet)` consume a packet from the enbedded channel
`protected void` | `doReconnect(TransportChannel currentChannel)`
`protected java.net.URI` | `extractURI(java.util.List list)`
`protected void` | `fireException(JMSException jmsEx)` Fire a JMSException to the exception listener
`void` | `onException(JMSException jmsEx)` handle exception from the embedded channel
`Receipt` | `send(Packet packet, int timeout)` Synchronously send a Packet
`void` | `start()` start the connection
`void` | `stop()` close the channel
`java.lang.String` | `toString()`

Methods inherited from class org.codehaus.activemq.transport.composite.CompositeTransportChannel
`attemptToConnect, establishConnection, getChannel, isMulticast, send, setExceptionListener, setPacketListener`

Methods inherited from class org.codehaus.activemq.transport.AbstractTransportChannel
`addTransportStatusEventListener, doAsyncSend, doConsumePacket, doHandleReceipt, fireStatusEvent, fireStatusEvent, getClientID, getExceptionListener, getPacketListener, getTransportChannelListener, onAsyncException, removeTransportStatusEventListener, setClientID, setTransportChannelListener, stopExecutor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReliableTransportChannel

    public ReliableTransportChannel(WireFormat wireFormat,
                                    java.net.URI[] uris)
                             throws JMSException

  Constructor for ReliableTransportChannel

Parameters:
  `wireFormat` -
  `uris` -
Throws:
  `JMSException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `CompositeTransportChannel`
  Returns:
    pretty print for this

### start

    public void start()
               throws JMSException

  start the connection

  Specified by:
    `start` in interface `TransportChannel`
  Overrides:
    `start` in class `CompositeTransportChannel`
  Throws:
    `JMSException`

### send

    public Receipt send(Packet packet,
                        int timeout)
                 throws JMSException

  Description copied from class: `AbstractTransportChannel`
  Synchronously send a Packet

  Specified by:
    `send` in interface `TransportChannel`
  Overrides:
    `send` in class `CompositeTransportChannel`
  Parameters:
    `packet` -
    `timeout` -
  Returns:
    @throws JMSException
  Throws:
    `JMSException`

### asyncSend

    public void asyncSend(Packet packet)
                   throws JMSException

  Description copied from interface: `TransportChannel`
  Asynchronously send a Packet

  Specified by:
    `asyncSend` in interface `TransportChannel`
  Overrides:
    `asyncSend` in class `CompositeTransportChannel`
  Throws:
    `JMSException`

### configureChannel

    protected void configureChannel()

  Overrides:
    `configureChannel` in class `CompositeTransportChannel`

### extractURI

    protected java.net.URI extractURI(java.util.List list)
                               throws JMSException

  Overrides:
    `extractURI` in class `CompositeTransportChannel`
  Throws:
    `JMSException`

### consume

    public void consume(Packet packet)

  consume a packet from the enbedded channel

  Specified by:
    `consume` in interface `PacketListener`
  Parameters:
    `packet` - to consume

### onException

    public void onException(JMSException jmsEx)

  handle exception from the embedded channel

  Specified by:
    `onException` in interface `ExceptionListener`
  Parameters:
    `jmsEx` -

### stop

    public void stop()

  Description copied from class: `CompositeTransportChannel`
  close the channel

  Specified by:
    `stop` in interface `TransportChannel`
  Overrides:
    `stop` in class `CompositeTransportChannel`

### fireException

    protected void fireException(JMSException jmsEx)

  Fire a JMSException to the exception listener

  Parameters:
    `jmsEx` -

### doReconnect

    protected void doReconnect(TransportChannel currentChannel)
                        throws JMSException

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.